Introduction

 [ Home ]
WebLogue - Introduction

This program is an automated weblog program. What's a weblog program you ask? Well, a weblog is a place on a website where the webmaster posts his thoughts, feelings, updates or whatever on a specific location in his web structure. Good examples are...

  • www.geeknews.com
  • www.litestep.net
This program automatically creates weblog entries for the user and places them into the web page at the correct position. It has the ability to automatically upload the new page if the user has FTP access to his web server.

Below is an example of a weblog entry created by this program...

Sample WebLogue Entry
By: Webster -- 1/29/00 @ 12:42:14 AM
<

This is an example of a weblogue entry into a text page. All that's really inserted is the text... and the table structure is left up to the imagination of the web author.

Current home Page

The fonts and colors can all be determined from inside the program. The user has a great number of choices about the look of each weblogue entry.

How do I set this up?


Weblogue Setup

WebLogue - Setup

-- Automatic Setup

If you have FTP access, setup for weblogue is a breeze! Just go into the SETUP | Config menu and hit the "FTP Config Wizard" button at the bottom. This will pull up your FTP directory and allow you to point and click the files you want weblogue to use. This setup wizard will also give you an easy way to insert the hidden comment codes into your web pages that weblogue needs. The old manual version is included below in case anybody enjoys pain.

Inserting your first weblogue entry!

-- Manual Setup

To setup the html file, all one has to do is copy and paste the following code into the web page where they wish the weblogue entry to be placed. (As these are comment codes, I have placed them into a textbox so they will be shown.)

Place this file on your server as you normally would... and you are ready to run your program. When the program is started for the first time, it will prompt you for information about the URL of your web page. If you have FTP access, you may activate the ability to automatically update your weblogue entries onto the server. This will require you to input the various FTP information.

Config Menu
Configuration Number
  • Currently weblogue will hold configuration data on three different website setups.
  • Just push the button of the configuration setup that you wish to use.
Connection Type
  • Select the type of connection you have here
WebSite
  • Type in URL to the website you wish to edit here.
  • Format it like this: http://www.yoursite.com/whatever/index.html
Update to FTP automatically
  • Selecting this will allow weblogue to upload your updated html files back onto the server after you have finished creating your weblogue entry.
  • If this is not selected, then after your entry is created you will be prompted with a "save as" box so you can upload it manually.
FTP Site
  • Type in the location of your ftp site here
  • Format it like this: ftp.whatever.com
  • Do not use ftp:// to prefix this entry.
Location of File on FTP Server
  • Remember that your web directory may not be your root directory.
  • If you have a /public_html or /web directory, you will need to place your web files here
  • Examples...
    --- public_html/index.html
    --- index.html
UserName/Password
  • Input your FTP access information here
  • You may or may not wish to prefix your password with an "-". This turns off some FTP features on the FTP server which may make it easier for you to connect successfully.

Note : Your password will be encrypted and saved; however, currently this encryption is not very secure. This will be improved in later versions.

Inserting your first weblogue entry!


Weblogue -- Insert

WebLogue - Entry

When the program first loads, it will download a copy of your webpage into memory. (You can get this type of information and other notes about the program in the status box at the lower left hand corner of the screen.)

Input your information into the various fields:

  • Title : Title of your weblogue entry (required)
  • Body: Body of your weblogue entry (required)
  • URL: Placing a URL here will create an easy hyperlink for you at the end of your weblogue entry. This is great if your entry relates to another site on the internet. No HTML coding required. Just put the URL in normal "http://" format. (Not Required)
  • URL Title: This is the name of the hyperlink that you created above. Once again, no html code required. If you leave this blank, the URL title field will be the same as the URL field. (not required).
  • Author: Who is doing the weblogue entry. If left blank, it will be posted under "Unknown"
  • EMail: Email link for the author. (Both the author and email fields may be set to default to whatever the user wishes. These setting can be found in the preferences menu.)

After inserting the information, press the PREVIEW button. This will show the user an example of the page that will be uploaded onto the web server. This will also activate the Finish/FTP button. At this point you may re-edit/preview or press the FINISH button. If automatic FTP is activated, the file will be sent to you web server via FTP. If automatic FTP is not activated, then you may save the file to the name of your choice for later manual uploading. After a successful upload, the web page will open again in another window.

Where's the Options?


Weblogue - Options

WebLogue - Options

Quick and dirty run down...

FILE | Restore Backup
  • It is possible for files to get corrupted during FTP transfer. This option allows a user to restore the website from the automatically created backup.
EDIT | Delete Last Entry
  • If after uploading the entry, you decide you don't like it... this option will allow you to erase the last weblogue entry posted. The can be done multiple times.
EDIT | Spell Checking
  • If you have Microsoft Word installed on your computer, you may use its spell checking ability in this program. Don't be alarmed if you see Word load-up in the background. This is required by the spell checking code.
FORMAT | (Various)
  • These commands will automatically place commonly used format HTML tags into the text for you. If it is a one-part HTML code, it will place it at the cursor. If it is a two-part HTML code, it will place it around the selected text.
FONTS | (Various)
  • These commands allow you to change the font face, color, and size of the selected text. Remember to stick to commonly used fonts. If you use a font that a viewer does not have installed, then the page cannot be viewed correctly.
SETUP | Auto Config
  • These will store which font faces and colors you would like to use for all your weblogue entries. Each configuration can have its own font attributes associated with it.
SETUP | Config
  • Maintain: An option to automatically delete/move old weblogue entries can be found here. The number of entries left on the page can be set by the user. From this menu, users can also enable the ability to place old entries on a seperate archive page. The configuration for this can get complex, so a more detailed set of archive instructions has been created.
  • Sig/EMail: Users may also configure their default name and email here.
  • Date/Time: Various formats for time and date styles can be selected.
  • BackEnd: The option for the automatic creation and upload of the RSS backend can be selected here. The backend will be created in XML and works well with the netscape-channel system. This will be discussed more later...
  • Imaging: Some sites can retrieve images within backends. This will allow you to configure this.
  • Retrieve: This selects the html retrieve mode. The majority of users should leave it set to FTP or Automatic. People who use Server Side Includes (SSIs) in their pages can not use the Automatic setting.
SETUP | Template Config
  • The more advanced users may wish to change the weblogue entry to different styles. The template allows the user to setup his weblogue entry a countless number of ways using html code and the provided fields.
  • The HTML and FONT menus are provided on this form as well.
  • Template files may be loaded and saved as text files.
I'm advanced...tell me more about the template configuration.

Let's skip that for now...just tell me about the backend feature.


Weblogue - Template Configuration

WebLogue - Template Configuration

Initially it should be said that the template function is designed for advanced users who know HTML. If you are a beginner, just skip this part... The default template works wonderfully and is an easy way to get started. Anybody who knows html, however, should find the template design logical and easy to use. The template will change the look of every weblogue entry for that configuration slot. Let us take a look at the template page.

On the right side of the screen is a box which contains the content tags. The position of the content tag will determine where weblogue places the specific information. For example, anywhere in your template that you have %date, weblogue will place the date. If you put bold or underline tags around this content tag, the date will be bold or underline. Simply, just treat the content tags like text. If you want some text to preface the date in your weblogue entries, one example would be... "Entry date is %date."

Order is not important. You may choose to have your date and time at the top of your entry or you may choose not to have a signature... this all can be easily accomplished using the templates.

Remember that the majority of the commonly used HTML codes are placed in the drop down menus to speed up template design and testing.

On the left side of the screen is your current template. This is where your editing will take place. You may save or load templates from the FILE menu. A picture of the template edit box is shown below. Template Example 1

Now, let's look at the default template.
The first line will place the title and then a line break.
The next line will yield something similiar to...
By: Davak -- 2/30/00 @ 4:54 PM.
The body and signatures will be placed in paragraph tags to help isolate them from the rest of the entry.
The final line break helps to set new entries off from old ones.

Simple enough? Sure! Just enter some text on the main screen, and then load up this template design page. After changing the template, you can preview your changes and adjust until you get the exact format of the weblogue entry you desire.

The automatic configuration holds dominance over the template. Thus, if you change the font colors or sizes manually in the template and automatically in the auto configuration menu, the selections from the auto configuration menus will rule out.

Full installations of the program usually come with several template examples. These are text files and thus can be easily edited by other programs as well if you wish. Examples of new template files can be found on the template page on the web site.

If you have a cool template, please share it with us. We will be glad to show it off on the web site if you wish.

Tell me about the backend feature!


WebLogue - Archive Configuration

The average weblog or web site will never need the ability the archive its old weblogue entries. As much as we would like to believe that people will enjoy reading everything on our entire site, most web surfers never visit archives. The weblog, frequent update style has grown in popularity and hits because visitors find new information everytime they visit. They find an interesting link and click on.

That being said, the ability for weblogue to archive has been one of the greatest requests. Since weblogue is being used for a wide variety web sites, the ability to archive is very valuable to some users. This does come with a price. To maintain an archive requires weblogue to download, process, and upload at least twice as much information. So if you find weblogue not quite as quick after you enable the archive function, don't let it surprise you.

Archive Configuration --

Setup for the archive is very easy using the FTP Config Wizard! When you finish the wizard, the program will remind you to input the complete URL of your web page. Easy, huh? Once again the manual method is included below for historical purposes.

Tell me about the template configuration.
Tell me about the backend feature.

Manual Configuration --

Similar to the the configuration of the initial weblogue page, the user needs to setup an archive html page. Just cut and paste the following text into your archive page. These comment codes will tell weblogue where the user wants the archived entries to be placed. As these are comment codes, they will not show up when the page is viewed. Here, I have placed them in a textbox so they can be easily seen.

After you have created your archive file and placed the above comment tags within it, go ahead and upload it to your server. Then complete the remaining configuration steps listed below.

  • In order to use the archive function, your FTP infomation in the CONFIG menu must be complete and the "Update to FTP automatically" option must be enabled.
  • Archives can be enabled from SETUP | PREFERENCES | Maintain...
  • "Remove Old Weblogue Entries" must be enabled
Archive Web Location: The exact, full URL to your archive page must be included. Example...
  • http://www.yourhost.com/yourdomain/archive.html
Archive FTP Location: This is the complete path to your archive page on your FTP server. This should be in the same format as your FTP path in your Configuration menu. Examples...
  • public_html/archive.html
  • old_news.html
  • Do not include the FTP server name: ftp.yourhost.com/yourdomain/archive.html

Tell me about the template configuration.
Tell me about the backend feature.


Weblogue - Options

WebLogue - BackEnd

A backend keeps a list of the headlines on your site... How is it used?

1. These backends can be downloaded by sites on the internet that might be interested in your information. This allows these sites to report when your site has been updated. Examples...

  • weblogs.com
  • my.userland.com
  • xmltree.com
  • theweb.startshere.net
2. Several programs, such as Headline Viewer, exist on the internet which allow people who are interested in your site to pull down your headlines and display them however they wish.

3. RSS backend files can also be added as a netscape channel.

Example of Netscape Channel

BackEnd Configuration

  • Enable: Check if you wish to use the automatic RSS backend creation system
  • Title: The title which you call your webpage (required if backend enabled)
  • Description: A short description of your website (required if backend enabled)
BackEnd Image Configuration
  • Enable: Check if you wish to use image support in your RSS backend
  • URL: Input the internet location of the image. Weblogue will not check to see if you have the correct location. The link must be absolute, not relative. Example...
    • Acceptable: http://www.yoursite.com/backend_image.jpg
    • Unacceptable : public_html/backend_image.jpg
  • ALT text: The text that people with non-graphical browsers will see instead of your image
  • Description: Short site description that some sites will associate with your backend image
You backend file is placed in your default download directory. Linking to it is very easy as you just replace your webpage location with "backend.rss". Examples...

  • Website: http://www.website.com/~user/index.html
  • Backend: http://www.website.com/~user/backend.rss

  • Website: http://www.website.com/users/whatever/main.html
  • Backend: http://www.website.com/users/whatever/backend.rss
To register a site, you will just give them the backend link described above. On netscape this can be accomplished at http://my.netscape.com/publish/. There are many, many sites that keep registeries of backends... add your backend to all of them!

Troubleshooting


Weblogue - FAQs

WebLogue - TroubleShooting

I have placed the insert code into my web page, but weblogue still tells me that the insert code is not found.

1. Currently weblogue is not smart enough to look through a multiple frame web page. The easiest solution is just to tell the program the name of the frame you wish to edit under SETUP | CONFIG | Website.

2. Currently weblogue is not smart enough to handle some redirection either. If you having problems hitting a specific domain root level (such as www.domain.com), then try using the more primative address. Often this address is something like www.yourhost.com/~yourftplogin. Here's an example...

Haldol.net is a site from which weblogue might have problems downloading.
http://www.geocities.com/weblogue/ this is where the site is housed on geocites. Weblogue would have no problem updating from here.
Confused? Just send me an email.

I get an error message when accessing the help menu.

I have originally compiled the help files in a format which some machines do not like. I am working on a new system now. Sorry for the difficulty.

When I preview the page, I don't see my pictures or my style sheets do not work.

To save time, weblogue does not download the entire website with pictures and style sheets onto your system. If you want to be able to see the site as it appears on the web, just place copies of the pictures and styles sheets in the appropriate directory that is relative to your weblogue directory.

Everything appears to have worked correctly, however, the weblogue entry never appears on my webpage on the internet. What's up?

1. First try hitting "reload" on your browser.
2. You may have uploaded your file to the wrong place. This commonly occurs if the user forgets to include the folder information in his "ftp location" entry. For example... using "index.html" instead of "public_html/index.html" 3. You may have inserted the wrong URL for your web page in the configuration menu.

I'm using server side includes; therefore, refreshing the html source from the server is not acceptable.

Under SETUP | PREFERENCES | RETRIEVE the way the html source is retreived can be adjusted.

The answer to my question is not here.

Just send me an email @ class2k@hotmail.com